Bug 1280075 - [abrt] control-center: g_variant_is_trusted(): gnome-control-center killed by SIGSEGV when opening display settings
[abrt] control-center: g_variant_is_trusted(): gnome-control-center killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:85891b670d11a6efc8f848cbb60...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 16:45 EST by Joachim Frieben
Modified: 2016-12-20 10:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:39:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.22 KB, text/plain)
2015-11-10 16:45 EST, Joachim Frieben
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-10 16:45 EST, Joachim Frieben
no flags Details
File: core_backtrace (6.88 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: dso_list (27.59 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: environ (1.60 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: maps (124.49 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: open_fds (1.71 KB, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-11-10 16:46 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2015-11-10 16:45:51 EST
Version-Release number of selected component:
control-center-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: g_variant_is_trusted
executable:     /usr/bin/gnome-control-center
global_pid:     2577
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_variant_is_trusted at gvariant-core.c:607
 #1 g_variant_builder_add_value at gvariant.c:3435
 #2 g_variant_builder_close at gvariant.c:3529
 #3 monitor_labeler_show at cc-display-panel.c:144
 #4 ensure_monitor_labels at cc-display-panel.c:178
 #5 shell_proxy_ready at cc-display-panel.c:2422
 #6 g_task_return_now at gtask.c:1104
 #7 g_task_return at gtask.c:1162
 #8 init_second_async_cb at gdbusproxy.c:1805
 #9 g_task_return_now at gtask.c:1104
Comment 1 Joachim Frieben 2015-11-10 16:45:58 EST
Created attachment 1092462 [details]
File: backtrace
Comment 2 Joachim Frieben 2015-11-10 16:45:59 EST
Created attachment 1092463 [details]
File: cgroup
Comment 3 Joachim Frieben 2015-11-10 16:46:01 EST
Created attachment 1092464 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2015-11-10 16:46:03 EST
Created attachment 1092465 [details]
File: dso_list
Comment 5 Joachim Frieben 2015-11-10 16:46:04 EST
Created attachment 1092466 [details]
File: environ
Comment 6 Joachim Frieben 2015-11-10 16:46:06 EST
Created attachment 1092467 [details]
File: exploitable
Comment 7 Joachim Frieben 2015-11-10 16:46:07 EST
Created attachment 1092468 [details]
File: limits
Comment 8 Joachim Frieben 2015-11-10 16:46:10 EST
Created attachment 1092469 [details]
File: maps
Comment 9 Joachim Frieben 2015-11-10 16:46:12 EST
Created attachment 1092470 [details]
File: mountinfo
Comment 10 Joachim Frieben 2015-11-10 16:46:13 EST
Created attachment 1092471 [details]
File: open_fds
Comment 11 Joachim Frieben 2015-11-10 16:46:15 EST
Created attachment 1092472 [details]
File: proc_pid_status
Comment 12 Bastien Nocera 2016-09-23 07:42:44 EDT
Crash will be handled upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=771875

Did you use the proprietary NVidia drivers, or a remote display?
Comment 13 Joachim Frieben 2016-09-23 07:57:10 EDT
From the log files, I would conclude that the bug occurred in a virtual GNOME on Wayland guest session using the QXL video device.
Comment 14 Bastien Nocera 2016-09-23 08:42:18 EDT
Right, so one of the QXL driver or mutter isn't providing any monitor information in this case. Reassigning there for root causing.
Comment 15 Fedora End Of Life 2016-11-24 08:17:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:39:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.